package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;

/**
 * app端用户审核表，存放用户的角色还有房产信息
 * @author weiximei
 */
public interface TaUserVerifyServicel {

    /**
     * 获取当前 一个房产审核数据 的数据
     * @param userVerifyId
     * @return
     */
    ResponseBean getToAuditNotApproved(Integer userVerifyId);

    /**
     * 添加 一个审核房产
     * @param userElement
     * @param parameter
     * @return
     */
    ResponseBean addUserVerify(UserElement userElement, String parameter);

    /**
     * 根据id 删除 审核表
     * @param userVerifyId
     * @return
     */
    ResponseBean deleteUserVerify(Integer userVerifyId);

    /**
     * 获取 当前用户绑定的房产列表
     * @param userElement
     * @return
     */
    ResponseBean getByCurrentUser(UserElement userElement);

    /**
     * 根据房产id  删除当前用户的房产
     * @param userElement
     * @param userVerifyId
     * @return
     */
    ResponseBean deleteCurrentUserVerify(UserElement userElement, Integer userVerifyId);

    /**
     * 审核用户
     * @param userElement
     * @param userVerifyId
     * @return
     */
    ResponseBean verifyUser(UserElement userElement, Integer userVerifyId, String userVerifyStatus, String remark);

    /**
     * 添加 一个审核房产
     * @param parameter
     * @return
     */
    ResponseBean addDaSuUserVerify(String parameter);


}
